### Function

# AppStream SizeKind from_string

#### Declaration [src]

    AsSizeKind
    as_size_kind_from_string (
      const gchar* size_kind
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`size_kind`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsSizeKind`

An `AsSizeKind` or `AS_SIZE_KIND_UNKNOWN` for unknown.